Bug 200141 - Unresolved ids in initializers
Unresolved ids in initializers
Status: VERIFIED FIXED
Product: cnd
Classification: Unclassified
Component: Code Model
7.1
PC Linux
: P3 (vote)
: 7.0.1
Assigned To: nnnnnk
issues@cnd
701patch1-verified
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2011-07-14 13:54 UTC by nnnnnk
Modified: 2011-08-29 10:32 UTC (History)
1 user (show)

See Also:
Issue Type: DEFECT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description nnnnnk 2011-07-14 13:54:00 UTC
Sample:
typedef struct _A{
    int v;
} A;
typedef struct _B{
	char *	a;
	void *	b;
} B;
B t[] = {
	{ .a = "s", .b = & (A) { .v = 1}  },
	{ .a = "d", .b = & (A) { .v = 1 } },
	{ .a = "e", .b = & (A) { .v = 1 } },
	{ .a = 0 }
};
Comment 1 yuriy_lalym 2011-07-16 11:46:26 UTC
But it only for C.
For C ++ - expected primary-expression before ‘. ’ token
Comment 3 dnikitin 2011-08-10 11:53:53 UTC
verified in NetBeans IDE Dev (Build cnd-build-trunk-279-on-20110810)
Comment 4 Alexander Simon 2011-08-15 10:11:47 UTC
fix transplanted in release701_fixes on elif:
0abd001395e8 transplanted to 260d09bac826
Comment 5 dnikitin 2011-08-18 12:35:02 UTC
Verified in NetBeans IDE 7.0.1 (Build oss-platform-build-22-on-20110818)
Comment 6 Alexander Simon 2011-08-24 11:35:51 UTC
integrated in release701_fixes:
260d09bac826 transplanted to 7e4ed4bdaace
Comment 7 soldatov 2011-08-29 10:32:26 UTC
verified


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo